Bug 219545 - net-mgmt/crmsh: Update to 3.0.0
Summary: net-mgmt/crmsh: Update to 3.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jochen Neumeister
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2017-05-25 19:01 UTC by David Shane Holden
Modified: 2017-06-13 14:54 UTC (History)
1 user (show)

See Also:


Attachments
crmsh-3.3.0.patch (8.59 KB, patch)
2017-05-25 19:01 UTC, David Shane Holden
no flags Details | Diff
crmsh-3.3.0.patch (8.66 KB, patch)
2017-05-28 16:25 UTC, David Shane Holden
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Shane Holden 2017-05-25 19:01:12 UTC
Created attachment 182900 [details]
crmsh-3.3.0.patch
Comment 1 Jochen Neumeister freebsd_committer 2017-05-28 12:16:01 UTC
Hi,

this patch stop with an error:

====> Compressing man pages (compress-man)
===========================================================================
====> Running Q/A tests (stage-qa)
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/crmsh/tests/evaltest.sh'
*** Error code 1

Stop.
make: stopped in /usr/ports/net-mgmt/crmsh

see: http://joneumbox.org/data/10amd64-ports/2017-05-28_14h13m36s/logs/errors/crmsh-3.0.0.log
Comment 2 David Shane Holden 2017-05-28 16:25:17 UTC
Created attachment 183011 [details]
crmsh-3.3.0.patch
Comment 3 Jochen Neumeister freebsd_committer 2017-05-29 10:39:25 UTC
Sorry, this patch doesn't work, too :(

=> SHA256 Checksum OK for ClusterLabs-crmsh-3.0.0_GH0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for crmsh-3.0.0
===>  Applying FreeBSD patches for crmsh-3.0.0
Ignoring previously applied (or reversed) patch.
1 out of 1 hunks ignored--saving rejects to setup.py.rej
=> FreeBSD patch patch-setup.py failed to apply cleanly.
=> Patch(es)  patch-Makefile.am applied cleanly.
*** Error code 1

Stop.
make: stopped in /usr/ports/net-mgmt/crmsh
====>> Cleaning up wrkdir
===>  Cleaning for crmsh-3.0.0
build of net-mgmt/crmsh ended at Mon May 29 12:36:25 CEST 2017
build time: 00:00:02
!!! build failure encountered !!!
Comment 4 Jochen Neumeister freebsd_committer 2017-05-29 10:41:58 UTC
I am wondering about that:

-PORTVERSION=	2.2.0
-PORTREVISION=	3
+PORTVERSION=	3.0.0

Into the subject, you say you will update to 3.3.0?
Comment 5 David Shane Holden 2017-05-29 14:34:51 UTC
That was a typo, it should have been 3.0.0.
Comment 6 commit-hook freebsd_committer 2017-06-13 14:54:07 UTC
A commit references this bug:

Author: joneum
Date: Tue Jun 13 14:53:19 UTC 2017
New revision: 443504
URL: https://svnweb.freebsd.org/changeset/ports/443504

Log:
  - net-mgmt/crmsh: Update from 2.2.0 to 3.0.0
  - Changelog: https://github.com/ClusterLabs/crmsh/blob/3.0.0/ChangeLog

  PR:		219545
  Submitted by:	David Shane Holden (maintainer)
  Approved by:	miwi (mentor)
  Differential Revision:	https://reviews.freebsd.org/D11110

Changes:
  head/net-mgmt/crmsh/Makefile
  head/net-mgmt/crmsh/distinfo
  head/net-mgmt/crmsh/files/patch-Makefile.am
  head/net-mgmt/crmsh/files/patch-setup.py
  head/net-mgmt/crmsh/pkg-plist
Comment 7 Jochen Neumeister freebsd_committer 2017-06-13 14:54:37 UTC
Committed, thanks :-)